org.deidentifier.arx.aggregates.classification

## Class MultiClassRandomForestClassificationResult

- java.lang.Object
- - org.deidentifier.arx.aggregates.classification.MultiClassRandomForestClassificationResult

All Implemented Interfaces:
  ClassificationResult

    public class MultiClassRandomForestClassificationResult
    extends java.lang.Object
    implements ClassificationResult

A classification result

Author:
  Fabian Prasser

### Method Summary

All Methods Instance Methods Concrete Methods
`double[]` `confidences()` Returns the confidences for all class values
`boolean` `correct(java.lang.String clazz)` Returns whether the result is correct
`double` `error(java.lang.String clazz)` Returns the error
`int` `index()` Returns the index of the predicted value

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### confidences

    public double[] confidences()

Description copied from interface: `ClassificationResult`
Returns the confidences for all class values

Specified by:
  `confidences` in interface `ClassificationResult`
Returns:

#### correct

    public boolean correct(java.lang.String clazz)

Description copied from interface: `ClassificationResult`
Returns whether the result is correct

Specified by:
  `correct` in interface `ClassificationResult`
Returns:

#### error

    public double error(java.lang.String clazz)

Description copied from interface: `ClassificationResult`
Returns the error

Specified by:
  `error` in interface `ClassificationResult`
Returns:

#### index

    public int index()

Description copied from interface: `ClassificationResult`
Returns the index of the predicted value

Specified by:
  `index` in interface `ClassificationResult`
Returns: